
QGIS Application - Bug report #18500

Crash report

2018-03-21 09:51 AM - Neil Breton

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26388

Description

User Feedback

Report Details

Crash ID: 9b4f5736bb054348509e4a0821d460f55ed503cc

Stack Trace

QMutex::lock :

handlesDirectoryPath :

handlesDirectoryPath :

QgsVectorLayerFeatureIterator::close :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-03-21 10:34 AM - Nyall Dawson

- Status changed from Open to Feedback
There's not enough details here - how did you trigger this crash?

#2 - 2018-03-21 10:39 AM - Neil Breton

Hi Nyall

I'm not sure I'm afraid. I had an instance of QGIS open, put my laptop into standby, then when I went back into the laptop and went back to the QGIS

window, there was just the error message above. Sorry I can't be more specific.

#3 - 2018-08-23 01:11 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Try the latest QGIS release, reopen if necessary.
